# AssetLoader - Pixi.JS

#

API Docs for: 1.0.0
Show: Inherited Protected Private Deprecated

# AssetLoader Class

Extends EventTarget
Defined in: `src/pixi/loaders/AssetLoader.js:5`
Module: PIXI

A Class that loads a bunch of images / sprite sheet / bitmap font files. Once the assets have been loaded they are added to the PIXI Texture cache and can be accessed easily through PIXI.Texture.fromImage() and PIXI.Sprite.fromImage() When all items have been loaded this class will dispatch a "onLoaded" event As each individual item is loaded this class will dispatch a "onProgress" event

## Constructor

### `AssetLoader`

(

- `assetURLs`

)

Defined in `src/pixi/loaders/AssetLoader.js:5`

#### Parameters:

- `assetURLs` Array

  an array of image/sprite sheet urls that you would like loaded supported. Supported image formats include "jpeg", "jpg", "png", "gif". Supported sprite sheet data formats only include "JSON" at this time. Supported bitmap font data formats include "xml" and "fnt".

- Index
- Properties
- Events

## Item Index

### Properties

- assetURLs

### Events

- onComplete
- onProgress

## Properties

### `assetURLs`

Array

Defined in `src/pixi/loaders/AssetLoader.js:18`

The array of asset URLs that are going to be loaded

## Events

### `onComplete`

Defined in `src/pixi/loaders/AssetLoader.js:43`

Fired when all the assets have loaded

### `onProgress`

Defined in `src/pixi/loaders/AssetLoader.js:38`

Fired when an item has loaded